/*
 * Copyright (c) 2006-2014 DMDirc Developers
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.dmdirc.util;

/**
 * Exception throw by a {@link URIParser} to indicate that an invalid URI has been supplied.
 */
public class InvalidURIException extends Exception {

    /** Serial version. */
    private static final long serialVersionUID = 1L;

    /**
     * Creates a new instance of {@link InvalidURIException}.
     *
     * @param message The exception message.
     */
    public InvalidURIException(final String message) {
        super(message);
    }

    /**
     * Creates a new instance of {@link InvalidURIException}.
     *
     * @param message The exception message.
     * @param cause   The underlying cause of the exception.
     */
    public InvalidURIException(final String message, final Throwable cause) {
        super(message, cause);
    }

}
